/*
 * @Date: 2021-08-30 11:04:35
 * @LastEditors: xfdr0805
 * @LastEditTime: 2021-09-02 10:21:54
 * @FilePath: /gpio_Test_u8g2_amp/oled.h
 */
#ifndef __oled_H
#define __oled_H

#include "u8g2.h"

#define u8 unsigned char  //
#define MAX_LEN 128       //
#define OLED_ADDRESS 0x3c // oled模块从机地址  7bit addr=0x3c
#define OLED_CMD 0x00     // 写命令
#define OLED_DATA 0x40    // 写数据

/* USER CODE BEGIN Prototypes */
uint8_t u8x8_byte_hw_i2c(u8x8_t *u8x8, uint8_t msg, uint8_t arg_int, void *arg_ptr);
uint8_t u8x8_gpio_and_delay(u8x8_t *u8x8, uint8_t msg, uint8_t arg_int, void *arg_ptr);
void u8g2Init(u8g2_t *u8g2);

#endif /*__ i2c_H */
